- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Xapian::SimpleStopper Class Reference

Simple implementation of Stopper class - this will suit most users. More...

Inheritance diagram for Xapian::SimpleStopper:

[legend]
List of all members.

## Public Member Functions
| SimpleStopper ()
| Default constructor.
template<class Iterator>
| SimpleStopper (Iterator begin, Iterator end)
| Initialise from a pair of iterators.
void | add (const std::string &word)
| Add a single stop word.
virtual bool | operator() (const std::string &term) const
| Is term a stop-word?
virtual | ~SimpleStopper ()
| Destructor.
virtual std::string | get_description () const
| Return a string describing this object.

## Detailed Description

Simple implementation of Stopper class - this will suit most users.

## Constructor & Destructor Documentation

Xapian::SimpleStopper::SimpleStopper | ( |  | ) | `[inline]`

Default constructor.

template<class Iterator>

Xapian::SimpleStopper::SimpleStopper | ( | Iterator | begin,
|  | Iterator | end |
| ) |  |  | `[inline]`

Initialise from a pair of iterators.

virtual Xapian::SimpleStopper::~SimpleStopper | ( |  | ) | `[inline, virtual]`

Destructor.

## Member Function Documentation

void Xapian::SimpleStopper::add | ( | const std::string & | word | ) | `[inline]`

Add a single stop word.

virtual bool Xapian::SimpleStopper::operator() | ( | const std::string & | term | ) | const`[inline, virtual]`

Is term a stop-word?

Implements Xapian::Stopper.

virtual std::string Xapian::SimpleStopper::get_description | ( |  | ) | const`[virtual]`

Return a string describing this object.

Reimplemented from Xapian::Stopper.

The documentation for this class was generated from the following file:

- xapian/queryparser.h